// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_light/border11light_300
{
	qer_editorimage textures/base_light/border11light.tga
	q3map_lightimage textures/base_light/border11light.blend.tga
	q3map_surfacelight 235
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/border11light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/border11light.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/jaildr1_3
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1_5000
{
	qer_editorimage textures/base_light/light1.tga
	q3map_lightimage textures/base_light/light1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
}

textures/base_light/runway
{
	q3map_lightimage textures/base_light/runway_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/base_light/runway_glow.tga
		tcmod scale 1 .25
		rgbgen wave square -1 2 .5 8
		tcmod scroll 0 .5
	}
	{
		map textures/base_light/runway.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/base_light/runwayb.tga
		blendfunc add
		rgbgen identity
	}
}

textures/base_wall/metalfloor_wall_10
{
	qer_editorimage textures/base_wall/metalfloor_wall_010.tga
	{
		map textures/base_wall/metalfloor_wall_010.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
	}
}

textures/base_wall/metalfloor_wall_14_specular
{
	qer_editorimage textures/base_wall/metalfloor_wall_14_specular.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/metalfloor_wall_14_specular.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ctf/test2_r_trans
{
	qer_editorimage textures/ctf/test2_r.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf/test2_r.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/ctf/test2_trans
{
	qer_editorimage textures/ctf/test2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf/test2.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/meat_metal/metal_rustygrate
{
	q3map_lightimage textures/meat_metal/metal_rustygrate.tga
	qer_trans .5
	surfaceparm trans
	cull none
	{
		map textures/meat_metal/metal_rustygrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/meat_objects/object_jumpadnofan
{
	qer_editorimage textures/meat_objects/object_jumpadnofan.tga
	{
		map textures/meat_objects/object_jumpadnofan.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/meat_objects/object_jumpadfanlights.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1
	}
}

textures/skies/tim_dm3_red
{
	qer_editorimage textures/skies/stars_red.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .5 .37 .19 70 30 70
	q3map_surfacelight 80
	skyparms env/azlcmb1_bin/eezabad - -
}

